Imagick::deconstructImages
Imagick::deskewImage
Imagick
PHP Manual

# Imagick::deleteImageArtifact

(No version information available, might only be in SVN)

Imagick::deleteImageArtifact — Delete image artifact

### Description

bool Imagick::deleteImageArtifact ( string `$artifact` )

Deletes an artifact associated with the image. The difference between image properties and image artifacts is that properties are public and artifacts are private. This method is available if Imagick has been compiled against ImageMagick version 6.5.7 or newer.

### Parameters

`artifact`

  The name of the artifact

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### See Also

- Imagick::setImageArtifact() - Set image artifact
- Imagick::getImageArtifact() - Get image artifact

Imagick::deconstructImages
Imagick::deskewImage
Imagick
PHP Manual